# -*- coding: utf-8 -*-
from setuphelpers import *
import json


def update_package():
    proxies = {}
    if isfile(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    currentpath = os.path.dirname(os.path.realpath(__file__))

    url_api = "https://api.github.com/repos/vkohaupt/vokoscreenNG/releases"

    json_load = json.loads(wgets(url_api, proxies=proxies))

    found = False
    for releases in json_load:
        if found:
            break
        for download in releases["assets"]:
            if download["browser_download_url"].endswith("-win64.exe"):
                url_dl = download["browser_download_url"]
                binary = url_dl.split("/")[-1]
                found = True
                break

    realversion = binary.split("-")[1]

    allexe = glob.glob("*.exe")
    for exe in allexe:
        if exe != binary:
            remove_file(exe)

    if not isfile(binary):
        wget(url_dl, binary)

    control.version = realversion + "-0"
    control.save_control_to_wapt()
